
<app-navbar></app-navbar>
<div class="container">
    <div class="row">
        <div class="col-lg-12 col-md-12 col-sm-12 col-12">

            <div class="tab-content">
                <div id="home" class="container tab-pane fade text-center"><br>
                    <div class="dont-save">
                        <div>
                            <h5>Vous n’avez pas encore d’annonce sauvegardée</h5>
                            <div class="mt-3 mb-3"><button type="button" class="btn btn-primary ">Faire une nouvelle
                                    recherche</button></div>
                        </div>
                        <div>
                            <img class="mw-100" src="assets/images/forgot-pass.png" height="300">
                        </div>
                    </div>
                </div>
                <div id="menu1" class="container tab-pane active"><br>
                    <div class="row">
                        <!-- <div>
                            <h5>Produits de mes vendeurs suivis</h5>
                        </div> -->
                        <div class="col-lg-8 col-md-8 col-sm-8 col-12">
                            <p>Si le produit n'est plus actif sur le site, il disparaîtra automatiquement.</p>
                        </div>

                    </div>
                    <ul class="sellr-list" *ngIf="favItemList.length != 0;else noImage">
                        <li *ngFor="let item of favItemList">
                            <a>
                                <div class="row">
                                    <div class="col-lg-2 col-md-3 col-sm-3 col-5" routerLink="/view-product/{{item.pro_id}}">
                                        <div *ngIf="item.allProduct[0].images.length != 0;else other_content">
                                            <img class="mw-100" src="{{baseurl}}static/public/{{item.allProduct[0].images[0]}}">
                                        </div>
                                        <ng-template #other_content>
                                            <img class="mw-100" src="./assets/build/img/nopro2.png">
                                        </ng-template>
                                    </div>
                                    <div class="col-lg-10 col-md-9 col-sm-9 col-7">
                                        <div class="ptb-10">
                                            <div class="pb-3">
                                                <h3 class="s-h5">{{item.allProduct[0].title}}</h3>
                                                <h3><strong>{{item.allProduct[0].price}} €</strong></h3>

                                            </div>

                                            <div class="row">
                                                <div class="col-lg-12 col-md-12 col-sm-12 col-12 mb-3">
                                                    <p class="mb-0">{{item.allProduct[0].catagory}}</p>
                                                    <p class="mb-0">{{item.allProduct[0].sku}}
                                                        <span><a  class="float-right" (click)="removeFav(item._id)" style="padding-right: 18px;font-size: 20px;">
                                                            <i class="fa-solid fa-heart " style="color: #31a44f ;"></i>
                                                         </a></span>

                                                    </p>



                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </li>


                    </ul>
                    <ng-template #noImage>
                        <h1>Aucune donnée n'a été trouvée</h1>
                    </ng-template>
                </div>

            </div>


        </div>
    </div>
</div>
<app-footer></app-footer>